\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Algebraic Foundations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Field_with_sqrt_tag Class Reference
Algebraic Foundations Reference

`#include <CGAL/Algebraic_structure_traits.h>`

## Inherits from

CGAL::Field_tag.

Inherited by CGAL::Field_with_kth_root_tag.

## Definition

Tag indicating that a type is a model of the `FieldWithSqrt` concept.

Is Model Of:
  `DefaultConstructible`

See Also
  `FieldWithSqrt`
  `AlgebraicStructureTraits`